Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class HttpCommonConstants

    java.lang.Object
      |
      +--oracle.portal.provider.v2.http.HttpCommonConstants

public class HttpCommonConstants
extends java.lang.Object

A class to store http specific constants.

Field Summary
`static java.lang.String` | `CACHE_LEVEL_HEADER` The constant that defines the validate cache header label that identifies the cache (user) level being specified.
`static java.lang.String` | `CACHE_LEVEL_SYSTEM` The constant that identifies "system" level caching.
`static java.lang.String` | `CACHE_LEVEL_USER` The constant that identifies "user" level caching.
`static java.lang.String` | `CACHE_UPDATE_HEADER_VALUE` The constant value that indicates the current response is new and should replace the existing cached content.
`static java.lang.String` | `CACHE_USE_HEADER` The constant for the validation based cache header label that is used to indicate the existing (cached) version is valid and should be reused.
`static java.lang.String` | `CACHE_USE_HEADER_VALUE` The constant value that indicates the current cached content is still valid and should be returned to the requester.
`static java.lang.String` | `CACHE_VERSION_HEADER` The constant that defines the the validate cache header label.
`static int` | `DEFAULT_WC_MAX_EXPIRY_TIME` default expiry time for portlets which are using invalidation based caching is 1 day or 1440 minutes as specified below.
`static java.lang.String` | `EXPIRES_HEADER` The constant that defines the expires cache header label.
`static java.lang.String` | `HEADER_DEVICE_CLASS`
`static java.lang.String` | `HEADER_DEVICE_MAXDOCSIZE`
`static java.lang.String` | `HEADER_DEVICE_ORIENTATION`
`static java.lang.String` | `HEADER_DEVICE_SECURE`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLASTLINE`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE1`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE2`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_BLOCK`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_CITY`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_COMPANY`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_COUNTRY`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_COUNTY`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_POSTALCODE`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_POSTALCODEEXT`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_STATE`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_TYPE`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_X`
`static java.lang.String` | `HEADER_IASWIRELESS_USER_LOCATION_Y`
`static java.lang.String` | `HMAC_CSUM_NAME` Qualified HMAC cookie name used in show requests
`static java.lang.String` | `HTTP_ACCEPT_CHARSET`
`static java.lang.String` | `HTTP_ACCEPT_CONTENT_TYPE`
`static java.lang.String` | `HTTP_ACCEPT_LANGUAGE`
`static java.lang.String` | `HTTP_CONTENT_LANGUAGE`
`static java.lang.String` | `HTTP_CONTENT_TYPE`
`static java.lang.String` | `HTTP_DEFAULT_CHARSET`
`static java.lang.String` | `HTTP_FORM_DATA_CONTENT_TYPE`
`static java.lang.String` | `HTTP_GET_METHOD`
`static java.lang.String` | `HTTP_PORTAL_CONTENT_CHARSET`
`static java.lang.String` | `HTTP_POST_METHOD`
`static java.lang.String` | `HTTP_USER_AGENT`
`static java.lang.String` | `IASWIRELESS_ORIGINAL_ACCEPT_HEADER`
`static java.lang.String` | `IASWIRELESS_ORIGINAL_USERAGENT_HEADER`
`static java.lang.String` | `INVALIDATION_CACHING` The initialisation parameter that is used to specify whether or not to use invalidation caching.
`static java.lang.String` | `ORACLE_CACHE_DEVICE_HEADER`
`static java.lang.String` | `ORACLE_CACHE_ENCRYPT_HEADER`
`static java.lang.String` | `ORACLE_CACHE_LANG_HEADER`
`static java.lang.String` | `ORACLE_CACHE_SUBID_HEADER`
`static java.lang.String` | `ORACLE_CACHE_USER_HEADER`
`static java.lang.String` | `ORIGINAL_PROVIDER_PATH` The constant used to retrieve the provider path of the original http request after the resource renderer has forwarded a request.
`static java.lang.String` | `PORTLET_RENDER_REQUEST` The constant that is used as the key for retrieving the PortletRenderRequest from a HttpServletRequest using getAttribute().
`static java.lang.String` | `PROVIDER_LOADER` The constant that is used as the key for retrieving the ProviderLoader from a HttpServletRequest using getAttribute().
`static java.lang.String` | `SERVLET_CONFIG` The constant that is used as the key for retrieving the ServletConfig from a ServletPortletRenderRequest using getAttribute().
`static java.lang.String` | `SERVLET_CONTEXT` The constant that is used as the key for retrieving the ServletContext from a ServletPortletRenderRequest using getAttribute().
`static java.lang.String` | `SERVLET_REQUEST` The constant that is used as the key for retrieving the HttpServletRequest from a ServletPortletRenderRequest using getAttribute().
`static java.lang.String` | `SERVLET_RESPONSE` The constant that is used as the key for retrieving the HttpServletResponse from a ServletPortletRenderRequest using getAttribute().
`static int` | `SYSTEM_LEVEL` Constant integer value used to indicate system level caching.
`static int` | `USER_LEVEL` Constant integer value used to indicate user level caching.
`static java.lang.String` | `WC_EXPIRES_HEADER` The constant that defines the Web Cache invalidation based caching expiry header.
`static java.lang.String` | `WC_GENERATES_ESI` Surrogate control directive causing web cache to process ESI tags.
`static java.lang.String` | `WC_NO_STORE` Surrogate control directive causing web cache to NOT store content, overriding any existing rules.
`static java.lang.String` | `WC_VARY_COOKIES` Added to Web Cache surrogate control max-age header to use the HMAC cookie as a cache key
`static java.lang.String` | `WC_VARY_HEADERS` Added to Web Cache surrogate control max-age header to specify headers that will be used as additional cache keys.

Constructor Summary
`HttpCommonConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_GET_METHOD

    public static final java.lang.String HTTP_GET_METHOD

### HTTP_POST_METHOD

    public static final java.lang.String HTTP_POST_METHOD

### HTTP_ACCEPT_LANGUAGE

    public static final java.lang.String HTTP_ACCEPT_LANGUAGE

### HTTP_ACCEPT_CHARSET

    public static final java.lang.String HTTP_ACCEPT_CHARSET

### HTTP_DEFAULT_CHARSET

    public static final java.lang.String HTTP_DEFAULT_CHARSET

### HTTP_ACCEPT_CONTENT_TYPE

    public static final java.lang.String HTTP_ACCEPT_CONTENT_TYPE

### HTTP_CONTENT_TYPE

    public static final java.lang.String HTTP_CONTENT_TYPE

### HTTP_CONTENT_LANGUAGE

    public static final java.lang.String HTTP_CONTENT_LANGUAGE

### HTTP_USER_AGENT

    public static final java.lang.String HTTP_USER_AGENT

### HTTP_PORTAL_CONTENT_CHARSET

    public static final java.lang.String HTTP_PORTAL_CONTENT_CHARSET

### HTTP_FORM_DATA_CONTENT_TYPE

    public static final java.lang.String HTTP_FORM_DATA_CONTENT_TYPE

### IASWIRELESS_ORIGINAL_ACCEPT_HEADER

    public static final java.lang.String IASWIRELESS_ORIGINAL_ACCEPT_HEADER

### IASWIRELESS_ORIGINAL_USERAGENT_HEADER

    public static final java.lang.String IASWIRELESS_ORIGINAL_USERAGENT_HEADER

### HEADER_DEVICE_CLASS

    public static final java.lang.String HEADER_DEVICE_CLASS

### HEADER_DEVICE_ORIENTATION

    public static final java.lang.String HEADER_DEVICE_ORIENTATION

### HEADER_DEVICE_MAXDOCSIZE

    public static final java.lang.String HEADER_DEVICE_MAXDOCSIZE

### HEADER_DEVICE_SECURE

    public static final java.lang.String HEADER_DEVICE_SECURE

### ORACLE_CACHE_LANG_HEADER

    public static final java.lang.String ORACLE_CACHE_LANG_HEADER

### ORACLE_CACHE_SUBID_HEADER

    public static final java.lang.String ORACLE_CACHE_SUBID_HEADER

### ORACLE_CACHE_DEVICE_HEADER

    public static final java.lang.String ORACLE_CACHE_DEVICE_HEADER

### ORACLE_CACHE_USER_HEADER

    public static final java.lang.String ORACLE_CACHE_USER_HEADER

### ORACLE_CACHE_ENCRYPT_HEADER

    public static final java.lang.String ORACLE_CACHE_ENCRYPT_HEADER

### HEADER_IASWIRELESS_USER_LOCATION_COMPANY

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_COMPANY

### HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE1

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE1

### HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE2

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLINE2

### HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLASTLINE

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_ADDRESSLASTLINE

### HEADER_IASWIRELESS_USER_LOCATION_BLOCK

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_BLOCK

### HEADER_IASWIRELESS_USER_LOCATION_CITY

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_CITY

### HEADER_IASWIRELESS_USER_LOCATION_COUNTY

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_COUNTY

### HEADER_IASWIRELESS_USER_LOCATION_STATE

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_STATE

### HEADER_IASWIRELESS_USER_LOCATION_POSTALCODE

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_POSTALCODE

### HEADER_IASWIRELESS_USER_LOCATION_POSTALCODEEXT

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_POSTALCODEEXT

### HEADER_IASWIRELESS_USER_LOCATION_COUNTRY

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_COUNTRY

### HEADER_IASWIRELESS_USER_LOCATION_TYPE

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_TYPE

### HEADER_IASWIRELESS_USER_LOCATION_X

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_X

### HEADER_IASWIRELESS_USER_LOCATION_Y

    public static final java.lang.String HEADER_IASWIRELESS_USER_LOCATION_Y

### SERVLET_CONFIG

    public static final java.lang.String SERVLET_CONFIG

  The constant that is used as the key for retrieving the ServletConfig from a ServletPortletRenderRequest using getAttribute().

### SERVLET_CONTEXT

    public static final java.lang.String SERVLET_CONTEXT

  The constant that is used as the key for retrieving the ServletContext from a ServletPortletRenderRequest using getAttribute().

### SERVLET_REQUEST

    public static final java.lang.String SERVLET_REQUEST

  The constant that is used as the key for retrieving the HttpServletRequest from a ServletPortletRenderRequest using getAttribute().

### SERVLET_RESPONSE

    public static final java.lang.String SERVLET_RESPONSE

  The constant that is used as the key for retrieving the HttpServletResponse from a ServletPortletRenderRequest using getAttribute().

### PORTLET_RENDER_REQUEST

    public static final java.lang.String PORTLET_RENDER_REQUEST

  The constant that is used as the key for retrieving the PortletRenderRequest from a HttpServletRequest using getAttribute(). This is provided so renderers that are implemented as servlets or jsps have a way to get back to the RenderRequest if they need it.

### PROVIDER_LOADER

    public static final java.lang.String PROVIDER_LOADER

  The constant that is used as the key for retrieving the ProviderLoader from a HttpServletRequest using getAttribute(). This is provided so the test pages implemented as servlets or jsps have a way to get back to the ProviderLoader Object if they need it.

### ORIGINAL_PROVIDER_PATH

    public static final java.lang.String ORIGINAL_PROVIDER_PATH

  The constant used to retrieve the provider path of the original http request after the resource renderer has forwarded a request. This is used by the invalidation API to send invalidation requests. The provider path consists of the context path, servlet path and path info from the original request. For example, for the request, http://host:port/jpdk/providers/service, the provider path would be /jpdk/providers/service.

### EXPIRES_HEADER

    public static final java.lang.String EXPIRES_HEADER

  The constant that defines the expires cache header label. Oracle Portal supports expires-based caching. To use this facility, a portlet must write a header value indicating the number of minutes this response is valid for.

### CACHE_VERSION_HEADER

    public static final java.lang.String CACHE_VERSION_HEADER

  The constant that defines the the validate cache header label. Oracle Portal supports validation-based caching. I.e. the portal asks the portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. To support this facility, the portlet must tag their response with a "version". This is written as a header field. This constant defines this header field's name. Subsequent requests from the Portal contain this version header. Clients are expected to read this header and check whether the cached version is still valid.

### WC_EXPIRES_HEADER

    public static final java.lang.String WC_EXPIRES_HEADER

  The constant that defines the Web Cache invalidation based caching expiry header.

### HMAC_CSUM_NAME

    public static final java.lang.String HMAC_CSUM_NAME

  Qualified HMAC cookie name used in show requests

### WC_VARY_HEADERS

    public static final java.lang.String WC_VARY_HEADERS

  Added to Web Cache surrogate control max-age header to specify headers that will be used as additional cache keys.

### WC_VARY_COOKIES

    public static final java.lang.String WC_VARY_COOKIES

  Added to Web Cache surrogate control max-age header to use the HMAC cookie as a cache key

### WC_NO_STORE

    public static final java.lang.String WC_NO_STORE

  Surrogate control directive causing web cache to NOT store content, overriding any existing rules.

### WC_GENERATES_ESI

    public static final java.lang.String WC_GENERATES_ESI

  Surrogate control directive causing web cache to process ESI tags.

### CACHE_LEVEL_HEADER

    public static final java.lang.String CACHE_LEVEL_HEADER

  The constant that defines the validate cache header label that identifies the cache (user) level being specified. Oracle Portal supports validation-based caching. I.e. the portal asks the portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. To support this facility, the portlet must tag their response with a "version". As a portlet can render either a user specific version as well as a generic system (default) version, the portlet must also relate which response is being refrenced. This is written as a header field. This constant defines this header field's name. Values are expected to be either "USER" or "SYSTEM" though it is better to use the constants defined herein.

### CACHE_LEVEL_USER

    public static final java.lang.String CACHE_LEVEL_USER

  The constant that identifies "user" level caching. Oracle Portal supports validation-based caching. I.e. the portal asks portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. To support this facility, the portlet must tag their response with a "version". As a portlet can render either a user specific version as weel as a generic system (default) version, the portlet must also relate which response is being refrenced. This is written as a header field. This constant is the value used for this header field that indicates the response is user specific.

### USER_LEVEL

    public static final int USER_LEVEL

  Constant integer value used to indicate user level caching.

### CACHE_LEVEL_SYSTEM

    public static final java.lang.String CACHE_LEVEL_SYSTEM

  The constant that identifies "system" level caching. Oracle Portal supports validation-based caching. I.e. the portal asks portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. To support this facility, the portlet must tag their response with a "version". As a portlet can render either a user specific version as weel as a generic system (default) version, the portlet must also relate which response is being refrenced. This is written as a header field. This constant is the value used for this header field that indicates the response is system (default).

### SYSTEM_LEVEL

    public static final int SYSTEM_LEVEL

  Constant integer value used to indicate system level caching.

### CACHE_USE_HEADER

    public static final java.lang.String CACHE_USE_HEADER

  The constant for the validation based cache header label that is used to indicate the existing (cached) version is valid and should be reused. Oracle Portal supports validation-based caching. I.e. the portal asks portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. The indication of whether to update the cache or reuse the response in the cache is written as a header field. This constant defines this header field's name. Use the constant CACHE_UPDATE_HEADER_VALUE as this header's value to indicate the current response should be cached (overwritting the existing cached response). Use CACHE_USE_HEADER_VALUE as this header's value to indicate the Portal should use the response in its cache.

### CACHE_UPDATE_HEADER_VALUE

    public static final java.lang.String CACHE_UPDATE_HEADER_VALUE

  The constant value that indicates the current response is new and should replace the existing cached content. Oracle Portal supports validation-based caching. I.e. the portal asks portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. The indication of whether to update the cache or reuse the response in the cache is written as a header field. This constant defines the value for CACHE_USE_HEADER that indicates the current response should be cached (overwritting the existing cached response).

### CACHE_USE_HEADER_VALUE

    public static final java.lang.String CACHE_USE_HEADER_VALUE

  The constant value that indicates the current cached content is still valid and should be returned to the requester. Oracle Portal supports validation-based caching. I.e. the portal asks portlet if the current (cached) version is still valid. If it is then it is resused rather then recomputed. The indication of whether to update the cache or reuse the response in the cache is written as a header field. This constant defines the value for CACHE_USE_HEADER that indicates the cached response is still valid and should be used.

### INVALIDATION_CACHING

    public static final java.lang.String INVALIDATION_CACHING

  The initialisation parameter that is used to specify whether or not to use invalidation caching.

### DEFAULT_WC_MAX_EXPIRY_TIME

    public static final int DEFAULT_WC_MAX_EXPIRY_TIME

  default expiry time for portlets which are using invalidation based caching is 1 day or 1440 minutes as specified below. This value will only be used if the max. exp. parameter sent in the portlet request is corrupted somehow.

Constructor Detail

### HttpCommonConstants

    public HttpCommonConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.